Summary: GNU libc
name: glibc
Version: 0.960906
Release: 1
Copyright: LGPL, GPL
ExclusiveArch: axp
Group: Development/Libraries/Libc
Source0: libc-960811.tar.gz
Source1: ftp.azstarnet.com:/pub/linux/axp/glibc/axp-extras-960810.tar.gz
Source2: ftp.uni-c.dk:/pub/gnu/glibc-1.09-crypt.tar.gz
Patch10: libc-960811-960812.diff.gz
Patch11: libc-960812-960813.diff.gz
Patch12: libc-960813-960814.diff.gz
Patch13: libc-960814-960815.diff.gz
Patch14: libc-960815-960820.diff.gz
patch15: libc-960820-960821.diff.gz
Patch16: libc-960821-960826.diff.gz
Patch17: libc-960826-960827.diff.gz
Patch18: libc-960827-960828.diff.gz
Patch19: libc-960828-960831.diff.gz
Patch20: libc-960831-960904.diff.gz
Patch21: libc-960904-960905.diff.gz
Patch22: libc-960905-960906.diff.gz

Patch1: atheist.tamu.edu:/pub/richard/linux/axp/libc-axp-960906.diff.gz
Patch2: nova.campus.luth.se:/pub/linux/axp/elf64/patches/rth-intl-crypt-UNOFF-960731.diff.gz
Patch3: nova.campus.luth.se:/pub/linux/axp/elf64/patches/libc-fsstnd-4.diff.gz
Patch4: nova.campus.luth.se:/pub/linux/axp/elf64/patches/libc.zic.symlink.hack.diff.gz
Patch5: nova.campus.luth.se:/pub/linux/axp/elf64/patches/libc-portmap.init.diff.gz
Patch6: libc-960815-ldd.patch
Provides: ld.so.1

%description
Contains the standard libraries that are used by multiple programs on
the system. In order to save disk space and memory, as well as to
ease upgrades, common system code is kept in one place and shared between
programs. This package contains the most important sets of shared libraries,
the standard C library and the standard math library. Without these, a
Linux system will not function. It also contains national language (locale)
support and timezone databases.

%package info
Summary: info files for glibc and related libraries
Group: Development/Libraries/Libc

%description info
This package contains all of texinfo documentation on GNU libc, including 
implementation details and information for programmers.

%package devel
Summary: Additional libraries required to compile
Group: Development/Libraries/Libc
Requires: glibc-static kernel-headers

%description devel
To develop programs which use the standard C libraries (which nearly all
programs do), the system needs to have these standard header files and object
files available for creating the executables.

%package static
Summary: Libraries for static linking
Group: Development/Libraries/Libc

%description static
While most programs are distributed dynamically linked, and therefore need
access to the standard shared libraries, some developers prefer to
ship programs statically linked, which includes all of the standard library
code in the executable. While this results in significantly larger
programs and increases their memory usage, it does increase the portability
of programs between Linux systems.

%package profile
Summary: glibc with profiling support
Group: Development/Libraries/Libc

%description profile
When programs are being profiled used gprof, they must use these libraries
instrad of the standard C libraries for gprof to be able to profile
them correctly.

%prep 
%setup -T -b 0 -n libc-960811
%setup -T -c -D -a 1 -n libc-960811
%setup -T -D -a 2 -n libc-960811

rm ./crypt/GNUmakefile
rm ./crypt/S2o
rm ./crypt/crypt.s300.S
rm ./crypt/do_ranlib
rm ./crypt/ufc-crypt.h
mv ./crypt/crypt.sparc.s ./sysdeps/sparc/crypt.s
mv ./crypt/crypt.sun3.S ./sysdeps/m68k/crypt.S

%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1

%patch1	-p1
%patch2 -p0
%patch3 -p1
%patch4 -p1 
%patch5 -p1 
%patch6 -p1 

chmod +x autolock.sh

find . -type f -name "*.orig" | xargs rm -rf 
find . -type f -empty | xargs rm -rf 
find . -type d -name "CVS" | xargs rm -rf
cp -Rf axp-extras-*/* /usr/include/
rm -rf /usr/include/Makefile
rm sysdeps/gnu/errlist.c

autoconf

%build
CFLAGS="$RPM_OPT_FLAGS -DNDEBUG=1" ./configure --enable-add-ons=crypt

# kludge alert!
mv config.h config.h.orig
sed "s,/.*#undef.*HAVE_STRERROR.*/,#define HAVE_STRERROR 1," < config.h.orig > config.h
make

%install
rm -rf /usr/lib/zoneinfo
make -k install
# don't ask
make -C time subdir_install || /bin/true
install --owner=root --group=root --mode=755 sunrpc/portmap.init /etc/rc.d/init.d
ln -sf ../init.d/portmap.init /etc/rc.d/rc0.d/K65portmap
ln -sf ../init.d/portmap.init /etc/rc.d/rc1.d/K65portmap
ln -sf ../init.d/portmap.init /etc/rc.d/rc3.d/S40portmap
ln -sf ../init.d/portmap.init /etc/rc.d/rc6.d/K65portmap
ln -sf ../init.d/portmap.init /etc/rc.d/rc2.d/S40portmap
ln -sf ../init.d/portmap.init /etc/rc.d/rc5.d/S40portmap
(cd /usr/info ; gzip -9nf libc*)
strip /usr/bin/locale
strip /usr/bin/localedef
strip /usr/bin/gencat
strip /usr/bin/rpcgen
strip /usr/sbin/portmap
strip /usr/sbin/rpcinfo
strip /usr/sbin/zic
strip /usr/sbin/zdump
rm -rf /usr/lib/zoneinfo/{localtime,posixtime,posixrules}
ln -sf /etc/localtime /usr/lib/zoneinfo/localtime
ln -sf localtime /usr/lib/zoneinfo/posixtime
ln -sf localtime /usr/lib/zoneinfo/posixrules
ln -sf /usr/src/linux/include/linux /usr/include/linux
ln -sf /usr/src/linux/include/asm /usr/include/asm
ln -sf /usr/src/linux/include/scsi /usr/include/scsi
ln -sf /usr/lib/libbsd-compat.a /usr/lib/libbsd.a

echo "#include <linux/socket.h>" > /usr/include/socketbits.h

%files
%dir /usr/lib/locale/de
%dir /usr/lib/locale/de/LC_MESSAGES
%dir /usr/lib/locale/es
%dir /usr/lib/locale/es/LC_MESSAGES
%dir /usr/lib/locale/ko
%dir /usr/lib/locale/ko/LC_MESSAGES
%doc FAQ NEWS NOTES README
/lib/ld.so.1
/lib/libc-1.93.so
/lib/libc.so.6
/usr/bin/gencat
/usr/bin/ldd
/usr/bin/locale
/usr/bin/localedef
/usr/lib/libc.so
/usr/lib/libdb-1.93.so
/usr/lib/libdb.so
/usr/lib/libdb.so.2
/usr/lib/libdl-1.93.so
/usr/lib/libdl.so
/usr/lib/libdl.so.2
/usr/lib/libm-1.93.so
/usr/lib/libnss_db-1.93.so
/usr/lib/libnss_db.so
/usr/lib/libnss_db.so.1
/usr/lib/libnss_dns-1.93.so
/usr/lib/libnss_dns.so
/usr/lib/libnss_dns.so.1
/usr/lib/libnss_files-1.93.so
/usr/lib/libnss_files.so
/usr/lib/libnss_files.so.1
/usr/lib/libresolv-1.93.so
/usr/lib/libresolv.so
/usr/lib/libresolv.so.2
/usr/lib/libutil-1.93.so
/usr/lib/libutil.so
/usr/lib/libutil.so.1
/usr/lib/locale/de/LC_MESSAGES/SYS_GNU_libc-1.93.mo
/usr/lib/locale/es/LC_MESSAGES/SYS_GNU_libc-1.93.mo
/usr/lib/locale/ko/LC_MESSAGES/SYS_GNU_libc-1.93.mo
/usr/lib/locale/locale.alias
/usr/lib/zoneinfo
/usr/sbin/zdump
/usr/sbin/zic

%files info
/usr/info/libc*

%files devel
/usr/lib/Mcrt1.o
/usr/lib/crt1.o
/usr/lib/crti.o
/usr/lib/crtn.o
/usr/lib/gcrt1.o
/usr/lib/libbsd-compat.a
/usr/lib/libbsd.a
/usr/lib/libieee.a
/usr/lib/libmcheck.a
/usr/lib/libposix.a
/usr/lib/librpcsvc.a
/usr/include/_G_config.h
/usr/include/__math.h
/usr/include/a.out.h
/usr/include/alloca.h
/usr/include/aouthdr.h
/usr/include/ar.h
/usr/include/argz.h
/usr/include/assert.h
/usr/include/bytesex.h
/usr/include/confname.h
/usr/include/crypt.h
/usr/include/ctype.h
/usr/include/curses.h
/usr/include/db.h
/usr/include/dirent.h
/usr/include/direntry.h
/usr/include/dlfcn.h
/usr/include/elf.h
/usr/include/elfclass.h
/usr/include/endian.h
/usr/include/envz.h
/usr/include/err.h
/usr/include/errno.h
/usr/include/errnos.h
/usr/include/error.h
/usr/include/fcntl.h
/usr/include/fcntlbits.h
/usr/include/features.h
/usr/include/filehdr.h
/usr/include/fnmatch.h
/usr/include/fpu_control.h
/usr/include/fstab.h
/usr/include/fts.h
/usr/include/ftw.h
/usr/include/getopt.h
/usr/include/glob.h
/usr/include/gnu-versions.h
/usr/include/grp.h
/usr/include/huge_val.h
/usr/include/ioctl-types.h
/usr/include/ioctls.h
/usr/include/iovec.h
/usr/include/jmp_buf.h
/usr/include/langinfo.h
/usr/include/lastlog.h
/usr/include/libintl.h
/usr/include/libio.h
/usr/include/limits.h
/usr/include/link.h
/usr/include/local_lim.h
/usr/include/locale.h
/usr/include/malloc.h
/usr/include/math.h
/usr/include/mathcalls.h
/usr/include/memory.h
/usr/include/mntent.h
/usr/include/monetary.h
/usr/include/mpool.h
/usr/include/nan.h
/usr/include/ndbm.h
/usr/include/netdb.h
/usr/include/nl_types.h
/usr/include/nlist.h
/usr/include/obstack.h
/usr/include/paths.h
/usr/include/poll.h
/usr/include/posix1_lim.h
/usr/include/posix2_lim.h
/usr/include/posix_opt.h
/usr/include/printf.h
/usr/include/pwd.h
/usr/include/regex.h
/usr/include/resolv.h
/usr/include/resourcebits.h
/usr/include/sched.h
/usr/include/schedbits.h
/usr/include/scnhdr.h
/usr/include/search.h
/usr/include/setjmp.h
/usr/include/sgtty.h
/usr/include/sigaction.h
/usr/include/sigcontext.h
/usr/include/signal.h
/usr/include/signum.h
/usr/include/sigset.h
/usr/include/shadow.h
/usr/include/sockaddrcom.h
/usr/include/socketbits.h
/usr/include/stab.def
/usr/include/stab.h
/usr/include/statbuf.h
/usr/include/statfsbuf.h
/usr/include/stdio.h
/usr/include/stdio_lim.h
/usr/include/stdlib.h
/usr/include/string.h
/usr/include/strings.h
/usr/include/stubs.h
/usr/include/sym.h
/usr/include/syms.h
/usr/include/syscall-list.h
/usr/include/syscall.h
/usr/include/sysexits.h
/usr/include/syslog.h
/usr/include/tar.h
/usr/include/termbits.h
/usr/include/termio.h
/usr/include/termios.h
/usr/include/time.h
/usr/include/timebits.h
/usr/include/timespec.h
/usr/include/timevalbits.h
/usr/include/ttyent.h
/usr/include/unistd.h
/usr/include/ustat.h
/usr/include/ustatbits.h
/usr/include/utime.h
/usr/include/utmp.h
/usr/include/utmpbits.h
/usr/include/utsnamelen.h
/usr/include/values.h
/usr/include/waitflags.h
/usr/include/waitstatus.h
/usr/include/wchar.h
/usr/include/wctype.h
/usr/include/wordexp.h
/usr/include/alpha
/usr/include/arpa
/usr/include/bsd
/usr/include/gnu
/usr/include/net
/usr/include/netinet
/usr/include/nfs
/usr/include/protocols
/usr/include/rpc
/usr/include/rpcsvc
/usr/include/sys
/usr/include/asm
/usr/include/scsi
/usr/include/linux

%files static
/usr/lib/libc.a
/usr/lib/libg.a
/usr/lib/libm.a
/usr/lib/libutil.a

%files profile
/usr/lib/libc_p.a
/usr/lib/libdb_p.a
/usr/lib/libdl_p.a
/usr/lib/libm_p.a
/usr/lib/libresolv_p.a
/usr/lib/librpcsvc_p.a
/usr/lib/libutil_p.a
